
Figure - Bug #114862
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111068 (New): AF-V3.0--Launcher/SystemUI-定制屏保

【AF】【EVT】【屏保】自定义屏保-本地图片，弹出授权框后选择不允许，重复两次，第三次点击添加后，
弹框不出现，并且可以通过滚动看到其他屏保设置的内容
2022-12-27 15:31 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-27

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

Reproducibility: Every time Fixed Version: 2023-01-11

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开设置-屏保-自定义屏保

2、点击本地图片添加按钮

3、在弹出的提示框中选择不允许

4、重复2、3

5、再次点击本地图片添加按钮

【预期结果】

5、弹出授权框

【实际结果】

5、第三次点击添加后，弹框不出现

并且可以通过滚动看到其他屏保设置的内容

History

#1 - 2022-12-27 17:20 - CD APP-王营

- Status changed from New to ASSIGNED

#2 - 2022-12-28 10:02 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-01-03 16:31 - CD APP-王营

- Assignee changed from CD APP-王宏 to CD APP-王营

#4 - 2023-01-03 16:38 - CD APP-王营

■ Current conclusion

为此应用预制读取照片权限。

■ My analysis

运行时权限用户拒绝2次后，系统将不会弹窗。
■ Next action

为此应用预制读取照片权限。

#5 - 2023-01-03 16:38 - CD APP-王营

- % Done changed from 0 to 30

#6 - 2023-01-10 09:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175073 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: ScreenSaver: Add default permission for imagepicker1.Add default permission to remove the dialog.2.Permission is

android.permission.WRITE_EXTERNAL_STORAGETC-RID: 1201-0300604IssueID: TS-R-DF-114862Change-Id:

Iaf8f9a46f0eb1a6d3cedc28702c675d0b4a05ca8

#7 - 2023-01-10 09:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175147 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: ScreenSaver: Add default permission for imagepicker1.Add default permission to remove the dialog.2.Permission is

android.permission.WRITE_EXTERNAL_STORAGETC-RID: 1201-0300604IssueID: TS-R-DF-114862Change-Id:

I036f11eaeec856d05772e5d5d6128e3103eb88d5

#8 - 2023-01-10 10:13 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-11

- Root cause set to 编码问题

■ Current conclusion

问题已解决，代码已经提交入库，可在01-11及以后的版本中验证此问题

■ My analysis

运行时权限用户拒绝2次后，系统将不会弹窗。

目前需要将读取相册权限预制，默认授予此权限后，不需要弹框提示授权。
页面识别鼠标滚轮问题，已经和需求沟通，不需要考虑鼠标操作场景，只适配用户手指点击和滑动。

■Submit URL

http://10.0.232.3:3307/gerrit/c/general/device/thundercomm/TCDEV/+/175147

http://10.0.232.3:3307/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/175073

#9 - 2023-01-11 10:24 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

1.11

验证通过

#10 - 2023-01-11 10:25 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-12-27 15-29-12.mp4 30.8 MB 2022-12-27 CD TEST-方永红
